Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
categories
List Categories
curl --request GET \
  --url https://api.legitmark.com/api/v2/categories
{
  "message": "Categories fetched successfully",
  "category": "SUCCESS",
  "data": [
    {
      "uuid": "25ed7133-f230-4d64-850d-0cfc698e2931",
      "name": "Footwear",
      "sides": [
        "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "bf98166d-7119-47f0-a4c5-88d67a28e3e6"
      ],
      "media": "https://cdn.legitmark.com/categories/25ed7133-f230-4d64-850d-0cfc698e2931.png",
      "feature": true,
      "ordinal": 1,
      "active": true,
      "created_at": "2024-05-26T18:07:34.000Z",
      "updated_at": "2025-11-26T15:45:05.000Z",
      "has_brands": true
    },
    {
      "uuid": "cc30b104-7c47-11ef-a623-02595575faeb",
      "name": "Bag",
      "sides": [
        "3c14c21f-8134-11ef-9e85-02d0d7ecc26b",
        "3c14e254-8134-11ef-9e85-02d0d7ecc26b"
      ],
      "media": "https://cdn.legitmark.com/categories/cc30b104-7c47-11ef-a623-02595575faeb.png",
      "feature": true,
      "ordinal": 2,
      "active": true,
      "created_at": "2024-09-26T20:42:08.000Z",
      "updated_at": "2025-11-26T16:21:04.000Z",
      "has_brands": true
    }
  ],
  "rc_hit": true,
  "rc_key": "categories:abc123",
  "metadata": {
    "total_count": 8,
    "page_number": 1,
    "total_pages": 1,
    "page_size": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

page_size
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
page_number
integer
default:1

Page number

Required range: x >= 1
search_query
string

Search term for category names

activeOnly
boolean
default:false

Filter to only active categories

Response

200 - application/json

Categories retrieved successfully

message
string
required
Example:

"Categories fetched successfully"

category
enum<string>
required
Available options:
SUCCESS
Example:

"SUCCESS"

data
object[]
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

false

rc_key
string

Cache key used for this response

Example:

"categories:abc123"

metadata
object

Pagination metadata